{ config, pkgs, ... }:

{
  imports = [
    ./local-configs/zsh
  ];




  # Home Manager needs a bit of information about you and the paths it should
  # manage.
  home.username = "forestcat";
  home.homeDirectory = "/home/forestcat";

  # This value determines the Home Manager release that your configuration is
  # compatible with. This helps avoid breakage when a new Home Manager release
  # introduces backwards incompatible changes.
  #
  # You should not change this value, even if you update Home Manager. If you do
  # want to update the value, then make sure to first check the Home Manager
  # release notes.
  home.stateVersion = "23.11"; # Please read the comment before changing.

  # The home.packages option allows you to install Nix packages into your
  # environment.
  home.packages = [
    # # Adds the 'hello' command to your environment. It prints a friendly
    # # "Hello, world!" when run.
    # pkgs.hello

    # # It is sometimes useful to fine-tune packages, for example, by applying
    # # overrides. You can do that directly here, just don't forget the
    # # parentheses. Maybe you want to install Nerd Fonts with a limited number of
    # # fonts?
    # (pkgs.nerdfonts.override { fonts = [ "FantasqueSansMono" ]; })

    # # You can also create simple shell scripts directly inside your
    # # configuration. For example, this adds a command 'my-hello' to your
    # # environment:
    # (pkgs.writeShellScriptBin "my-hello" ''
    #   echo "Hello, ${config.home.username}!"
    # '')
  ];

  # Home Manager is pretty good at managing dotfiles. The primary way to manage
  # plain files is through 'home.file'.
  home.file = {
  
    ".config/hypr/hyprland.conf".source = ./local-configs/hyprland/hyprland.conf;
    ".config/hypr/start.sh".source = ./local-configs/hyprland/hyprland-start.sh;
    ".config/alacritty/alacritty.yml".source = ./local-configs/alacritty/alacritty.yml;  

    ".config/waybar/config".source = ./local-configs/waybar/config;
    ".config/waybar/style.css".source = ./local-configs/waybar/style.css;    
    # # Building this configuration will create a copy of 'dotfiles/screenrc' in
    # # the Nix store. Activating the configuration will then make '~/.screenrc' a
    # # symlink to the Nix store copy.
    # ".screenrc".source = dotfiles/screenrc;

    # # You can also set the file content immediately.
    # ".gradle/gradle.properties".text = ''
    #   org.gradle.console=verbose
    #   org.gradle.daemon.idletimeout=3600000
    # '';
    #".config/hypr/hyprland.conf".source = ./local-configs/hyprland/hyprland.conf;
  };

  # Home Manager can also manage your environment variables through
  # 'home.sessionVariables'. If you don't want to manage your shell through Home
  # Manager then you have to manually source 'hm-session-vars.sh' located at
  # either
  #
  #  ~/.nix-profile/etc/profile.d/hm-session-vars.sh
  #
  # or
  #
  #  /etc/profiles/per-user/forestcat/etc/profile.d/hm-session-vars.sh
  #
  
home.sessionVariables = {
    EDITOR = "hx";
  };
  # programs.nushell = {
  #   enable = true;
  #   shellAliases = {
  #     ll = "ls -l";
  #     cheetah = "curl -d 'Lena: Done ✓' https://ntfy.forestcat.org/cheetah";
  #     reboot = "systemctl reboot";
  #     rebuild = "sudo nixos-rebuild switch --flake ~/nix-configs/#myNixos --show-trace";
  #     nx = "nix shell nixpkgs/nixos-23.11#";
  #   };
  # };
 
  # services.polybar.enable = true;

  # services.xserver.windowManager.i3.configFile = "./local-configs/config";
  
  # Let Home Manager install and manage itself.
  programs.home-manager.enable = true;
}
